#----------------------------------------------------#
# This script runs when room 1 is submitted.
#
# Scripter: Liontack
# Called by function: main:update_all
#----------------------------------------------------#



### Check if the submitted answer is a correct one (no netherite, each pair has the same color and each pair has a different color than other pairs)
scoreboard players set b_submit_accepted variables 1

execute if block -6 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -6 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -4 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block -2 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 2 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 4 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 6 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 -2 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 -4 netherite_block run scoreboard players set b_submit_accepted variables 0
execute if block 6 65 -6 netherite_block run scoreboard players set b_submit_accepted variables 0


execute unless blocks -4 65 2 -4 65 2 -2 65 -4 all run scoreboard players set b_submit_accepted variables 0
execute unless blocks -4 65 -2 -4 65 -2 -2 65 4 all run scoreboard players set b_submit_accepted variables 0
execute unless blocks -2 65 6 -2 65 6 -2 65 -6 all run scoreboard players set b_submit_accepted variables 0

execute if blocks -4 65 2 -4 65 2 -4 65 -2 all run scoreboard players set b_submit_accepted variables 0
execute if blocks -4 65 2 -4 65 2 -2 65 6 all run scoreboard players set b_submit_accepted variables 0
execute if blocks -4 65 -2 -4 65 -2 -2 65 6 all run scoreboard players set b_submit_accepted variables 0



### Show if the submission was correct or not
execute if score b_submit_accepted variables matches 0 at @p run summon firework_rocket ~ ~2 ~ {LifeTime:0, FireworksItem: {id:firework_rocket, Count:1, tag:{Fireworks:{Flight:1, Explosions:[{Type:1, Flicker:0, Trail:0, Colors:[I;11743532], FadeColors:[I;1973019,12801229,15435844]}]}}}}
execute if score b_submit_accepted variables matches 1 at @p run summon firework_rocket ~ ~1 ~ {LifeTime:0, FireworksItem: {id:firework_rocket, Count:1, tag:{Fireworks:{Flight:1, Explosions:[{Type:1, Flicker:0, Trail:0, Colors:[I;4312372], FadeColors:[I;3887386]}]}}}}
execute if score b_submit_accepted variables matches 1 run tellraw @a [{"text":"[23] ", "color":"green"}, {"text":"The players are matched with their role in this map.", "color":"white"}]
execute if score b_submit_accepted variables matches 1 run tellraw @a [{"text":"[Finished] ", "color":"gold"}, {"text":"You may now enter the trophy room! It is hidden under a layer of ____, right behind the man made of the same material.", "color":"white"}]



### If the submission is correct

# Clear the level sign
execute if score b_submit_accepted variables matches 1 run data modify block 10 67 0 Text2 set value '{"text":""}'

# Stop the timer
execute if score b_submit_accepted variables matches 1 run scoreboard players set b_run_time variables 0

# Show hints used and wrong submissions
execute if score b_submit_accepted variables matches 1 run tellraw @a [{"text":"Total hints used: ", "color":"aqua"}, {"score":{"name":"i_hints_used","objective":"variables"}}]
execute if score b_submit_accepted variables matches 1 run tellraw @a [{"text":"Wrong submissions: ", "color":"aqua"}, {"score":{"name":"i_wrong_submissions","objective":"variables"}}]
